patch
https://gateway.remote.com/v1/timeoff/
Updates a Time Off record.
Warning: Updating the status of a time off through this endpoint is deprecated and will be removed on January 13, 2025.
To approve or cancel an approved time off, use the /approve and /cancel endpoints instead.
Authentication
This endpoint accepts any one of the following token types:
- Company-scoped access token (
OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners. - Company-scoped access token (assertion) (
OAuth2CompanyManagerAssertion) — obtained through theurn:ietf:params:oauth:grant-type:jwt-bearergrant for a company manager. See OAuth Assertion. - Customer API token (
CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.
Scopes
Any one of the scopes in a token type's row is enough. all:write works too.
| Token type | Category | Read only Scope | Write only Scope (read access implicit) |
|---|---|---|---|
| Company-scoped access token | Manage timeoffs (time_and_attendance) | - | Manage timeoffs (timeoff:write) |
| Company-scoped access token (assertion) | Manage timeoffs (time_and_attendance) | - | Manage timeoffs (timeoff:write) |
| Customer API token | Manage timeoffs (time_and_attendance) | - | Manage timeoffs (timeoff:write) |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback